
QGIS Application - Bug report #11663

Bad polygon simplification

2014-11-16 03:00 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Simplification

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19914

Description

I've attached a small dataset and project which demonstrates incorrect polygon simplification to a bounding box.

Steps to reproduce:

- open project

- zoom in and out on features

- the polygons will incorrectly collapse to bounding boxes when zooming out

History

#1 - 2014-11-17 02:40 PM - Alvaro Huarte

Hi Nyall, I tested this project using master code in Windows 8.1 and I don't see the bounding boxes, but using the GIS 2.6 release from Windows installer I

see the Bounding boxes.

#2 - 2014-11-17 10:40 PM - Paolo Cavallini

- Status changed from Open to Feedback

Could you please find the fix and backport it to 2.6 branch, in view of a possible 2.6.1 release?

#3 - 2015-05-11 12:34 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Category set to Simplification

still true on the latest master.

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

bad_simplification.zip 4.33 KB 2014-11-16 Nyall Dawson
